#!/opt/EPICS/IOC/ST-IOC/bin/linux-x86_64/ST-IOC

cd /opt/EPICS/IOC/ST-IOC/iocBoot/iocST-IOC
< envPaths

cd "${TOP}"
dbLoadDatabase "dbd/ST-IOC.dbd"
ST_IOC_registerRecordDeviceDriver pdbbase

#settings

#autosave
epicsEnvSet REQ_DIR /opt/EPICS/RUN/dev_ioc/settings/autosave
epicsEnvSet SAVE_DIR /opt/EPICS/RUN/dev_ioc/log/autosave
set_requestfile_path("$(REQ_DIR)")
set_savefile_path("$(SAVE_DIR)")
set_pass0_restoreFile("$dev_ioc-automake-pass0.sav")
set_pass1_restoreFile("$dev_ioc-automake.sav")
save_restoreSet_DatedBackupFiles(1)
save_restoreSet_NumSeqFiles(3)
save_restoreSet_SeqPeriodInSeconds(600)
save_restoreSet_RetrySeconds(60)
save_restoreSet_CallbackTimeout(-1)

#caPutLog
asSetFilename("/opt/EPICS/RUN/dev_ioc/settings/dev_ioc.acf")
epicsEnvSet("EPICS_IOC_LOG_INET","127.0.0.1")
iocLogPrefix("dev_ioc ")
iocLogInit()

#StreamDevice
epicsEnvSet("STREAM_PROTOCOL_PATH", /opt/EPICS/RUN/dev_ioc/settings)
drvAsynIPPortConfigure("SF6", "192.168.21.211:51001", 0, 0, 0)


cd /opt/EPICS/RUN/dev_ioc/startup
dbLoadTemplate "db/dev_ioc.substitutions"

iocInit

#autosave after iocInit
makeAutosaveFileFromDbInfo("$(REQ_DIR)/$dev_ioc-automake-pass0.req","autosaveFields_pass0")
makeAutosaveFileFromDbInfo("$(REQ_DIR)/$dev_ioc-automake.req","autosaveFields")
create_monitor_set("$dev_ioc-automake-pass0.req",10)
create_monitor_set("$dev_ioc-automake.req",10)

#caPutLog after iocInit
caPutLogInit "127.0.0.1:7004" 0

#report info
system "touch /opt/EPICS/RUN/iocLog/dev_ioc.info"
system "echo \#date > /opt/EPICS/RUN/iocLog/dev_ioc.info"
date >> /opt/EPICS/RUN/iocLog/dev_ioc.info
system "echo >> /opt/EPICS/RUN/iocLog/dev_ioc.info"
system "echo \#ip >> /opt/EPICS/RUN/iocLog/dev_ioc.info"
system "hostname -I >> /opt/EPICS/RUN/iocLog/dev_ioc.info"
system "echo >> /opt/EPICS/RUN/iocLog/dev_ioc.info"
system "echo \#pv list >> /opt/EPICS/RUN/iocLog/dev_ioc.info"
dbl >> /opt/EPICS/RUN/iocLog/dev_ioc.info
system "echo >> /opt/EPICS/RUN/iocLog/dev_ioc.info"

