#!/opt/EPICS/IOC/ST-IOC/bin/linux-x86_64/ST-IOC

cd /opt/EPICS/IOC/ST-IOC/iocBoot/iocST-IOC
< envPaths

cd "${TOP}"
dbLoadDatabase "dbd/ST-IOC.dbd"
ST_IOC_registerRecordDeviceDriver pdbbase

#settings

#autosave
epicsEnvSet REQ_DIR /opt/EPICS/RUN/llrf_ps_ioc/settings/autosave
epicsEnvSet SAVE_DIR /opt/EPICS/RUN/llrf_ps_ioc/log/autosave
set_requestfile_path("$(REQ_DIR)")
set_savefile_path("$(SAVE_DIR)")
set_pass0_restoreFile("$llrf_ps_ioc-automake-pass0.sav")
set_pass1_restoreFile("$llrf_ps_ioc-automake.sav")
save_restoreSet_DatedBackupFiles(1)
save_restoreSet_NumSeqFiles(3)
save_restoreSet_SeqPeriodInSeconds(600)
save_restoreSet_RetrySeconds(60)
save_restoreSet_CallbackTimeout(-1)

#caPutLog
asSetFilename("/opt/EPICS/RUN/llrf_ps_ioc/settings/llrf_ps_ioc.acf")
epicsEnvSet("EPICS_IOC_LOG_INET","127.0.0.1")
iocLogPrefix("llrf_ps_ioc ")
iocLogInit()

#StreamDevice
epicsEnvSet("STREAM_PROTOCOL_PATH", /opt/EPICS/RUN/llrf_ps_ioc/settings)
drvAsynIPPortConfigure ("2cell1", "192.168.22.75:502")
drvAsynIPPortConfigure ("2cell2", "192.168.22.76:502")
drvAsynIPPortConfigure ("abba1", "192.168.22.77:502")
drvAsynIPPortConfigure ("abba2", "192.168.22.78:502")
drvAsynIPPortConfigure ("abba3", "192.168.22.79:502")
drvAsynIPPortConfigure ("abba4", "192.168.22.80:502")
drvAsynIPPortConfigure ("abba5", "192.168.22.81:5000")
drvAsynIPPortConfigure ("abba6", "192.168.22.82:5000")
drvAsynIPPortConfigure ("abba7", "192.168.22.83:5000")
drvAsynIPPortConfigure ("abba8", "192.168.22.84:5000")
drvAsynIPPortConfigure ("bun1", "192.168.22.73:5000")
drvAsynIPPortConfigure ("bun2", "192.168.22.74:5000")
drvAsynIPPortConfigure ("gun1", "192.168.22.71:6800")
drvAsynIPPortConfigure ("gun2", "192.168.22.72:6800")


cd /opt/EPICS/RUN/llrf_ps_ioc/startup
dbLoadTemplate "db/llrf_ps_ioc.substitutions"

iocInit

#autosave after iocInit
makeAutosaveFileFromDbInfo("$(REQ_DIR)/$llrf_ps_ioc-automake-pass0.req","autosaveFields_pass0")
makeAutosaveFileFromDbInfo("$(REQ_DIR)/$llrf_ps_ioc-automake.req","autosaveFields")
create_monitor_set("$llrf_ps_ioc-automake-pass0.req",10)
create_monitor_set("$llrf_ps_ioc-automake.req",10)

#caPutLog after iocInit
caPutLogInit "127.0.0.1:7004" 0

#report info
system "touch /opt/EPICS/RUN/iocLog/llrf_ps_ioc.info"
system "echo \#date > /opt/EPICS/RUN/iocLog/llrf_ps_ioc.info"
date >> /opt/EPICS/RUN/iocLog/llrf_ps_ioc.info
system "echo >> /opt/EPICS/RUN/iocLog/llrf_ps_ioc.info"
system "echo \#ip >> /opt/EPICS/RUN/iocLog/llrf_ps_ioc.info"
system "hostname -I >> /opt/EPICS/RUN/iocLog/llrf_ps_ioc.info"
system "echo >> /opt/EPICS/RUN/iocLog/llrf_ps_ioc.info"
system "echo \#pv list >> /opt/EPICS/RUN/iocLog/llrf_ps_ioc.info"
dbl >> /opt/EPICS/RUN/iocLog/llrf_ps_ioc.info
system "echo >> /opt/EPICS/RUN/iocLog/llrf_ps_ioc.info"

