#!/opt/EPICS/IOC/ST-IOC/bin/linux-x86_64/ST-IOC

cd /opt/EPICS/IOC/ST-IOC/iocBoot/iocST-IOC
< envPaths

cd "${TOP}"
dbLoadDatabase "dbd/ST-IOC.dbd"
ST_IOC_registerRecordDeviceDriver pdbbase

#settings

#autosave
epicsEnvSet REQ_DIR /opt/EPICS/RUN/llrf_sc_gun/settings/autosave
epicsEnvSet SAVE_DIR /opt/EPICS/RUN/llrf_sc_gun/log/autosave
set_requestfile_path("$(REQ_DIR)")
set_savefile_path("$(SAVE_DIR)")
set_pass0_restoreFile("$llrf_sc_gun-automake-pass0.sav")
set_pass1_restoreFile("$llrf_sc_gun-automake.sav")
save_restoreSet_DatedBackupFiles(1)
save_restoreSet_NumSeqFiles(3)
save_restoreSet_SeqPeriodInSeconds(600)
save_restoreSet_RetrySeconds(60)
save_restoreSet_CallbackTimeout(-1)

#caPutLog
asSetFilename("/opt/EPICS/RUN/llrf_sc_gun/settings/llrf_sc_gun.acf")
epicsEnvSet("EPICS_IOC_LOG_INET","127.0.0.1")
iocLogPrefix("llrf_sc_gun ")
iocLogInit()

cd /opt/EPICS/RUN/llrf_sc_gun/startup
dbLoadTemplate "db/llrf_sc_gun.substitutions"

iocInit

#autosave after iocInit
makeAutosaveFileFromDbInfo("$(REQ_DIR)/$llrf_sc_gun-automake-pass0.req","autosaveFields_pass0")
makeAutosaveFileFromDbInfo("$(REQ_DIR)/$llrf_sc_gun-automake.req","autosaveFields")
create_monitor_set("$llrf_sc_gun-automake-pass0.req",10)
create_monitor_set("$llrf_sc_gun-automake.req",10)

#caPutLog after iocInit
caPutLogInit "127.0.0.1:7004" 0

#report info
system "touch /opt/EPICS/RUN/iocLog/llrf_sc_gun.info"
system "echo \#date > /opt/EPICS/RUN/iocLog/llrf_sc_gun.info"
date >> /opt/EPICS/RUN/iocLog/llrf_sc_gun.info
system "echo >> /opt/EPICS/RUN/iocLog/llrf_sc_gun.info"
system "echo \#ip >> /opt/EPICS/RUN/iocLog/llrf_sc_gun.info"
system "hostname -I >> /opt/EPICS/RUN/iocLog/llrf_sc_gun.info"
system "echo >> /opt/EPICS/RUN/iocLog/llrf_sc_gun.info"
system "echo \#pv list >> /opt/EPICS/RUN/iocLog/llrf_sc_gun.info"
dbl >> /opt/EPICS/RUN/iocLog/llrf_sc_gun.info
system "echo >> /opt/EPICS/RUN/iocLog/llrf_sc_gun.info"

