#!/opt/EPICS/IOC/ST-IOC/bin/linux-x86_64/ST-IOC

cd /opt/EPICS/IOC/ST-IOC/iocBoot/iocST-IOC
< envPaths

cd "${TOP}"
dbLoadDatabase "dbd/ST-IOC.dbd"
ST_IOC_registerRecordDeviceDriver pdbbase

#settings

#autosave
epicsEnvSet REQ_DIR /opt/EPICS/RUN/ps_ioc/settings/autosave
epicsEnvSet SAVE_DIR /opt/EPICS/RUN/ps_ioc/log/autosave
set_requestfile_path("$(REQ_DIR)")
set_savefile_path("$(SAVE_DIR)")
set_pass0_restoreFile("$ps_ioc-automake-pass0.sav")
set_pass1_restoreFile("$ps_ioc-automake.sav")
save_restoreSet_DatedBackupFiles(1)
save_restoreSet_NumSeqFiles(3)
save_restoreSet_SeqPeriodInSeconds(600)
save_restoreSet_RetrySeconds(60)
save_restoreSet_CallbackTimeout(-1)

#caPutLog
asSetFilename("/opt/EPICS/RUN/ps_ioc/settings/ps_ioc.acf")
epicsEnvSet("EPICS_IOC_LOG_INET","127.0.0.1")
iocLogPrefix("ps_ioc ")
iocLogInit()

#StreamDevice
epicsEnvSet("STREAM_PROTOCOL_PATH", /opt/EPICS/RUN/ps_ioc/settings)
drvAsynIPPortConfigure "pscontrol01", "192.168.21.41:5001"
drvAsynIPPortConfigure "pscontrol02", "192.168.21.42:5001"
drvAsynIPPortConfigure "pscontrol03", "192.168.21.43:5001"
drvAsynIPPortConfigure "pscontrol04", "192.168.21.44:5001"
drvAsynIPPortConfigure "pscontrol05", "192.168.21.45:5001"
drvAsynIPPortConfigure "pscontrol06", "192.168.21.46:5001"
drvAsynIPPortConfigure "pscontrol07", "192.168.21.47:5001"
drvAsynIPPortConfigure "pscontrol08", "192.168.21.48:5001"
drvAsynIPPortConfigure "pscontrol09", "192.168.21.49:5001"
drvAsynIPPortConfigure "pscontrol10", "192.168.21.50:5001"
drvAsynIPPortConfigure "pscontrol11", "192.168.21.51:5001"
drvAsynIPPortConfigure "pscontrol12", "192.168.21.52:5001"
drvAsynIPPortConfigure "pscontrol13", "192.168.21.53:5001"
drvAsynIPPortConfigure "pscontrol14", "192.168.21.54:5001"
drvAsynIPPortConfigure "pscontrol15", "192.168.21.55:5001"
drvAsynIPPortConfigure "pscontrol16", "192.168.21.56:5001"
drvAsynIPPortConfigure "pscontrol17", "192.168.21.57:5001"
drvAsynIPPortConfigure "pscontrol18", "192.168.21.58:5001"
drvAsynIPPortConfigure "pscontrol19", "192.168.21.59:5001"
drvAsynIPPortConfigure "pscontrol20", "192.168.21.60:5001"
drvAsynIPPortConfigure "pscontrol21", "192.168.21.61:5001"
drvAsynIPPortConfigure "pscontrol22", "192.168.21.62:5001"
drvAsynIPPortConfigure "pscontrol23", "192.168.21.63:5001"
drvAsynIPPortConfigure "pscontrol24", "192.168.21.64:5001"
drvAsynIPPortConfigure "pscontrol25", "192.168.21.65:5001"
drvAsynIPPortConfigure "pscontrol26", "192.168.21.66:5001"
drvAsynIPPortConfigure "pscontrol27", "192.168.21.67:5001"
drvAsynIPPortConfigure "pscontrol32", "192.168.21.95:5001"
drvAsynIPPortConfigure "pscontrol33", "192.168.21.96:5001"
drvAsynIPPortConfigure "pscontrol34", "192.168.21.97:5001"
drvAsynIPPortConfigure "pscontrol35", "192.168.21.98:5001"
drvAsynIPPortConfigure "pscontrol36", "192.168.21.99:5001"
drvAsynIPPortConfigure "pscontrol37", "192.168.21.100:5001"
drvAsynIPPortConfigure "pscontrol38", "192.168.21.101:5001"
drvAsynIPPortConfigure "pscontrol39", "192.168.21.102:5001"
drvAsynIPPortConfigure "pscontrol28", "192.168.21.88:5001"
drvAsynIPPortConfigure "pscontrol29", "192.168.21.89:5001"
drvAsynIPPortConfigure "pscontrol30", "192.168.21.90:5001"
drvAsynIPPortConfigure "pscontrol31", "192.168.21.91:5001"
drvAsynIPPortConfigure "pscontrol40", "192.168.21.103:5001"
drvAsynIPPortConfigure "pscontrol41", "192.168.21.104:5001"
drvAsynIPPortConfigure "pscontrol42", "192.168.21.105:5001"
drvAsynIPPortConfigure "pscontrol43", "192.168.21.106:5001"
drvAsynIPPortConfigure "pscontrol44", "192.168.21.107:5001"
drvAsynIPPortConfigure "pscontrol45", "192.168.21.108:5001"
drvAsynIPPortConfigure "pscontrol46", "192.168.21.109:5001"
drvAsynIPPortConfigure "pscontrol47", "192.168.21.110:5001"
drvAsynIPPortConfigure "pscontrol48", "192.168.21.111:5001"
drvAsynIPPortConfigure "pscontrol49", "192.168.21.112:5001"
drvAsynIPPortConfigure "pscontrol50", "192.168.21.113:5001"
drvAsynIPPortConfigure "pscontrol51", "192.168.21.114:5001"
drvAsynIPPortConfigure "pscontrol52", "192.168.21.125:5001"
drvAsynIPPortConfigure "pscontrol53", "192.168.21.126:5001"
drvAsynIPPortConfigure "pscontrol54", "192.168.21.127:5001"
drvAsynIPPortConfigure "pscontrol55", "192.168.21.128:5001"
drvAsynIPPortConfigure "pscontrol56", "192.168.21.129:5001"
drvAsynIPPortConfigure "pscontrol57", "192.168.21.130:5001"
drvAsynIPPortConfigure "pscontrol58", "192.168.21.131:5001"
drvAsynIPPortConfigure "pscontrol59", "192.168.21.132:5001"
drvAsynIPPortConfigure "pscontrol60", "192.168.21.133:5001"
drvAsynIPPortConfigure "pscontrol61", "192.168.21.134:5001"
drvAsynIPPortConfigure "pscontrol63", "192.168.21.136:5001"
drvAsynIPPortConfigure "pscontrol64", "192.168.21.137:5001"
drvAsynIPPortConfigure "pscontrol65", "192.168.21.138:5001"
drvAsynIPPortConfigure "pscontrol66", "192.168.21.139:5001"
drvAsynIPPortConfigure "pscontrol67", "192.168.21.142:5001"
drvAsynIPPortConfigure "pscontrol68", "192.168.21.140:5001"
drvAsynIPPortConfigure "pscontrol69", "192.168.21.141:5001"
drvAsynIPPortConfigure "pscontrol70", "192.168.21.143:5001"
drvAsynIPPortConfigure "pscontrol71", "192.168.21.144:5001"
drvAsynIPPortConfigure "pscontrol72", "192.168.21.145:5001"
drvAsynIPPortConfigure "pscontrol62", "192.168.21.135:5001"
drvAsynIPPortConfigure "pscontrol73", "192.168.21.146:5001"
drvAsynIPPortConfigure "pscontrol74", "192.168.21.147:5001"
drvAsynIPPortConfigure "pscontrol75", "192.168.21.148:5001"
drvAsynIPPortConfigure "pscontrol76", "192.168.21.149:5001"
drvAsynIPPortConfigure "pscontrol77", "192.168.21.150:5001"
drvAsynIPPortConfigure "pscontrol78", "192.168.21.151:5001"
drvAsynIPPortConfigure "pscontrol79", "192.168.21.152:5001"
drvAsynIPPortConfigure "pscontrol80", "192.168.21.153:5001"
drvAsynIPPortConfigure "pscontrol81", "192.168.21.154:5001"
drvAsynIPPortConfigure "pscontrol82", "192.168.21.155:5001"
drvAsynIPPortConfigure "pscontrol83", "192.168.21.156:5001"
drvAsynIPPortConfigure "pscontrol84", "192.168.21.157:5001"
drvAsynIPPortConfigure "pscontrol85", "192.168.21.158:5001"
drvAsynIPPortConfigure "pscontrol86", "192.168.21.159:5001"
drvAsynIPPortConfigure "pscontrol87", "192.168.21.160:5001"
drvAsynIPPortConfigure "pscontrol88", "192.168.21.161:5001"
drvAsynIPPortConfigure "pscontrol89", "192.168.21.162:5001"
drvAsynIPPortConfigure "pscontrol90", "192.168.21.163:5001"
drvAsynIPPortConfigure "pscontrol94", "192.168.21.164:5001"
drvAsynIPPortConfigure "pscontrol91", "192.168.21.165:5001"
drvAsynIPPortConfigure "pscontrol92", "192.168.21.166:5001"
drvAsynIPPortConfigure "pscontrol93", "192.168.21.167:5001"
drvAsynIPPortConfigure "pscontrol95", "192.168.21.168:5001"
drvAsynIPPortConfigure "pscontrol96", "192.168.21.181:5001"
drvAsynIPPortConfigure "pscontrol97", "192.168.21.92:5001"
drvAsynIPPortConfigure "pscontrol98", "192.168.21.93:5001"
drvAsynIPPortConfigure "pscontrol99", "192.168.21.94:5001"


cd /opt/EPICS/RUN/ps_ioc/startup
dbLoadTemplate "db/ps_ioc.substitutions"

iocInit

#autosave after iocInit
makeAutosaveFileFromDbInfo("$(REQ_DIR)/$ps_ioc-automake-pass0.req","autosaveFields_pass0")
makeAutosaveFileFromDbInfo("$(REQ_DIR)/$ps_ioc-automake.req","autosaveFields")
create_monitor_set("$ps_ioc-automake-pass0.req",10)
create_monitor_set("$ps_ioc-automake.req",10)

#caPutLog after iocInit
caPutLogInit "127.0.0.1:7004" 0

#report info
system "touch /opt/EPICS/RUN/iocLog/ps_ioc.info"
system "echo \#date > /opt/EPICS/RUN/iocLog/ps_ioc.info"
date >> /opt/EPICS/RUN/iocLog/ps_ioc.info
system "echo >> /opt/EPICS/RUN/iocLog/ps_ioc.info"
system "echo \#ip >> /opt/EPICS/RUN/iocLog/ps_ioc.info"
system "hostname -I >> /opt/EPICS/RUN/iocLog/ps_ioc.info"
system "echo >> /opt/EPICS/RUN/iocLog/ps_ioc.info"
system "echo \#pv list >> /opt/EPICS/RUN/iocLog/ps_ioc.info"
dbl >> /opt/EPICS/RUN/iocLog/ps_ioc.info
system "echo >> /opt/EPICS/RUN/iocLog/ps_ioc.info"

