#!/opt/EPICS/IOC/ST-IOC/bin/linux-x86_64/ST-IOC

cd /opt/EPICS/IOC/ST-IOC/iocBoot/iocST-IOC
< envPaths

cd "${TOP}"
dbLoadDatabase "dbd/ST-IOC.dbd"
ST_IOC_registerRecordDeviceDriver pdbbase

#settings

#autosave
epicsEnvSet REQ_DIR /opt/EPICS/RUN/tuner_ioc/settings/autosave
epicsEnvSet SAVE_DIR /opt/EPICS/RUN/tuner_ioc/log/autosave
set_requestfile_path("$(REQ_DIR)")
set_savefile_path("$(SAVE_DIR)")
set_pass0_restoreFile("$tuner_ioc-automake-pass0.sav")
set_pass1_restoreFile("$tuner_ioc-automake.sav")
save_restoreSet_DatedBackupFiles(1)
save_restoreSet_NumSeqFiles(3)
save_restoreSet_SeqPeriodInSeconds(600)
save_restoreSet_RetrySeconds(60)
save_restoreSet_CallbackTimeout(-1)

#caPutLog
asSetFilename("/opt/EPICS/RUN/tuner_ioc/settings/tuner_ioc.acf")
epicsEnvSet("EPICS_IOC_LOG_INET","127.0.0.1")
iocLogPrefix("tuner_ioc ")
iocLogInit()

drvAsynIPPortConfigure("CAT1", "192.168.22.160:502", 0, 0, 1)
modbusInterposeConfig("CAT1", 0, 2000, 0)
drvModbusAsynConfigure("BI1R", "CAT1", 0, 3, 32768, 1, 0, 100, "CAT")
drvModbusAsynConfigure("INT1R", "CAT1", 0, 3, 32769, 18, 0, 100, "CAT")
drvModbusAsynConfigure("INT2R", "CAT1", 0, 3, 32810, 10, 0, 100, "CAT")
drvModbusAsynConfigure("INT1W", "CAT1", 0, 16, 32790, 16, 0, 100, "CAT")
drvModbusAsynConfigure("INT3W", "CAT1", 0, 16, 32832, 18, 0, 100, "CAT")
drvModbusAsynConfigure("INT5W", "CAT1", 0, 16, 32860, 10, 0, 100, "CAT")
drvModbusAsynConfigure("INT9W", "CAT1", 0, 16, 32820, 1, 0, 100, "CAT")
drvModbusAsynConfigure("BO8W", "CAT1", 0, 16, 32821, 1, 0, 100, "CAT")
drvModbusAsynConfigure("INT10W", "CAT1", 0, 16, 32822, 2, 0, 100, "CAT")
drvModbusAsynConfigure("BO9W", "CAT1", 0, 16, 32824, 1, 0, 100, "CAT")
drvModbusAsynConfigure("INT11W", "CAT1", 0, 16, 32825, 1, 0, 100, "CAT")
drvModbusAsynConfigure("INT12W", "CAT1", 0, 16, 32826, 4, 0, 100, "CAT")
drvModbusAsynConfigure("BO10W", "CAT1", 0, 16, 32831, 1, 0, 100, "CAT")
drvModbusAsynConfigure("BO11W", "CAT1", 0, 16, 32849, 1, 0, 100, "CAT")
drvModbusAsynConfigure("BO12W", "CAT1", 0, 16, 32850, 1, 0, 100, "CAT")
drvModbusAsynConfigure("INT13W", "CAT1", 0, 16, 32851, 1, 0, 100, "CAT")
drvModbusAsynConfigure("INT14W", "CAT1", 0, 16, 32852, 1, 0, 100, "CAT")
drvModbusAsynConfigure("INT15W", "CAT1", 0, 16, 32853, 1, 0, 100, "CAT")
drvModbusAsynConfigure("INT16W", "CAT1", 0, 16, 32854, 1, 0, 100, "CAT")
drvModbusAsynConfigure("INT17W", "CAT1", 0, 16, 32855, 2, 0, 100, "CAT")
drvModbusAsynConfigure("INT18W", "CAT1", 0, 16, 32857, 1, 0, 100, "CAT")
drvModbusAsynConfigure("BO13W", "CAT1", 0, 16, 32859, 1, 0, 100, "CAT")
drvModbusAsynConfigure("INT19W", "CAT1", 0, 16, 32871, 3, 0, 100, "CAT")

cd /opt/EPICS/RUN/tuner_ioc/startup
dbLoadTemplate "db/tuner_ioc.substitutions"


iocInit

#autosave after iocInit
makeAutosaveFileFromDbInfo("$(REQ_DIR)/$tuner_ioc-automake-pass0.req","autosaveFields_pass0")
makeAutosaveFileFromDbInfo("$(REQ_DIR)/$tuner_ioc-automake.req","autosaveFields")
create_monitor_set("$tuner_ioc-automake-pass0.req",10)
create_monitor_set("$tuner_ioc-automake.req",10)

#caPutLog after iocInit
caPutLogInit "127.0.0.1:7004" 0


#report info
system "touch /opt/EPICS/RUN/iocLog/tuner_ioc.info"
system "echo \#date > /opt/EPICS/RUN/iocLog/tuner_ioc.info"
date >> /opt/EPICS/RUN/iocLog/tuner_ioc.info
system "echo >> /opt/EPICS/RUN/iocLog/tuner_ioc.info"
system "echo \#ip >> /opt/EPICS/RUN/iocLog/tuner_ioc.info"
system "hostname -I >> /opt/EPICS/RUN/iocLog/tuner_ioc.info"
system "echo >> /opt/EPICS/RUN/iocLog/tuner_ioc.info"
system "echo \#pv list >> /opt/EPICS/RUN/iocLog/tuner_ioc.info"
dbl >> /opt/EPICS/RUN/iocLog/tuner_ioc.info
system "echo >> /opt/EPICS/RUN/iocLog/tuner_ioc.info"

