#!/opt/EPICS/IOC/ST-IOC/bin/linux-x86_64/ST-IOC

cd /opt/EPICS/IOC/ST-IOC/iocBoot/iocST-IOC
< envPaths

cd "${TOP}"
dbLoadDatabase "dbd/ST-IOC.dbd"
ST_IOC_registerRecordDeviceDriver pdbbase

#settings

#autosave
epicsEnvSet REQ_DIR /opt/EPICS/RUN/vac_ioc/settings/autosave
epicsEnvSet SAVE_DIR /opt/EPICS/RUN/vac_ioc/log/autosave
set_requestfile_path("$(REQ_DIR)")
set_savefile_path("$(SAVE_DIR)")
set_pass0_restoreFile("$vac_ioc-automake-pass0.sav")
set_pass1_restoreFile("$vac_ioc-automake.sav")
save_restoreSet_DatedBackupFiles(1)
save_restoreSet_NumSeqFiles(3)
save_restoreSet_SeqPeriodInSeconds(600)
save_restoreSet_RetrySeconds(60)
save_restoreSet_CallbackTimeout(-1)

#caPutLog
asSetFilename("/opt/EPICS/RUN/vac_ioc/settings/vac_ioc.acf")
epicsEnvSet("EPICS_IOC_LOG_INET","127.0.0.1")
iocLogPrefix("vac_ioc ")
iocLogInit()

#StreamDevice
epicsEnvSet("STREAM_PROTOCOL_PATH", /opt/EPICS/RUN/vac_ioc/settings)
drvAsynIPPortConfigure("INJ_PUMP1", "192.168.21.11:4001", 0, 0, 0)
drvAsynIPPortConfigure("INJ_PUMP2", "192.168.21.11:4002", 0, 0, 0)
drvAsynIPPortConfigure("INJ_PUMP3", "192.168.21.11:4003", 0, 0, 0)
drvAsynIPPortConfigure("INJ_PUMP4", "192.168.21.11:4004", 0, 0, 0)
drvAsynIPPortConfigure("INJ_PUMP5", "192.168.21.11:4005", 0, 0, 0)
drvAsynIPPortConfigure("INJ_VACUUM1", "192.168.21.11:4006", 0, 0, 0)
drvAsynIPPortConfigure("INJ_VACUUM2", "192.168.21.11:4007", 0, 0, 0)
drvAsynIPPortConfigure("INJ_PUMP6", "192.168.21.11:4008", 0, 0, 0)
drvAsynIPPortConfigure("DC_VACUUM1", "192.168.21.11:4009", 0, 0, 0)
drvAsynIPPortConfigure("COL_PUMP1", "192.168.21.12:4001", 0, 0, 0)
drvAsynIPPortConfigure("COL_PUMP2", "192.168.21.12:4002", 0, 0, 0)
drvAsynIPPortConfigure("COL_PUMP3", "192.168.21.12:4003", 0, 0, 0)
drvAsynIPPortConfigure("COL_PUMP4", "192.168.21.12:4004", 0, 0, 0)
drvAsynIPPortConfigure("COL_PUMP5", "192.168.21.12:4005", 0, 0, 0)
drvAsynIPPortConfigure("COL_VACUUM1", "192.168.21.12:4006", 0, 0, 0)
drvAsynIPPortConfigure("COL_VACUUM2", "192.168.21.12:4007", 0, 0, 0)
drvAsynIPPortConfigure("DIAG0_PUMP1", "192.168.21.14:4001", 0, 0, 0)
drvAsynIPPortConfigure("DIAG0_PUMP2", "192.168.21.14:4002", 0, 0, 0)
drvAsynIPPortConfigure("DIAG0_PUMP3", "192.168.21.14:4003", 0, 0, 0)
drvAsynIPPortConfigure("DIAG0_PUMP4", "192.168.21.14:4004", 0, 0, 0)
drvAsynIPPortConfigure("DIAG0_PUMP5", "192.168.21.14:4005", 0, 0, 0)
drvAsynIPPortConfigure("DIAG0_PUMP6", "192.168.21.14:4006", 0, 0, 0)
drvAsynIPPortConfigure("DIAG0_PUMP7", "192.168.21.14:4007", 0, 0, 0)
drvAsynIPPortConfigure("DIAG0_PUMP8", "192.168.21.14:4008", 0, 0, 0)
drvAsynIPPortConfigure("DIAG0_VACUUM1", "192.168.21.14:4009", 0, 0, 0)
drvAsynIPPortConfigure("DIAG0_VACUUM2", "192.168.21.14:4010", 0, 0, 0)
drvAsynIPPortConfigure("TD_VACUUM1", "192.168.21.14:4011", 0, 0, 0)
drvAsynIPPortConfigure("TD_VACUUM2", "192.168.21.14:4012", 0, 0, 0)
drvAsynIPPortConfigure("DIAG1_PUMP1", "192.168.21.13:4001", 0, 0, 0)
drvAsynIPPortConfigure("DIAG1_PUMP2", "192.168.21.13:4002", 0, 0, 0)
drvAsynIPPortConfigure("DIAG1_PUMP3", "192.168.21.13:4003", 0, 0, 0)
drvAsynIPPortConfigure("DIAG1_PUMP4", "192.168.21.13:4004", 0, 0, 0)
drvAsynIPPortConfigure("DIAG1_PUMP5", "192.168.21.13:4005", 0, 0, 0)
drvAsynIPPortConfigure("DIAG1_PUMP6", "192.168.21.13:4006", 0, 0, 0)
drvAsynIPPortConfigure("DIAG1_VACUUM1", "192.168.21.13:4007", 0, 0, 0)
drvAsynIPPortConfigure("DIAG1_VACUUM2", "192.168.21.13:4008", 0, 0, 0)
drvAsynIPPortConfigure("TD_PUMP1", "192.168.21.15:4001", 0, 0, 0)
drvAsynIPPortConfigure("TD_PUMP2", "192.168.21.15:4002", 0, 0, 0)
drvAsynIPPortConfigure("TD_PUMP3", "192.168.21.15:4003", 0, 0, 0)
drvAsynIPPortConfigure("TD_PUMP4", "192.168.21.15:4004", 0, 0, 0)
drvAsynIPPortConfigure("TD_PUMP5", "192.168.21.15:4005", 0, 0, 0)
drvAsynIPPortConfigure("TD_PUMP6", "192.168.21.15:4006", 0, 0, 0)
drvAsynIPPortConfigure("TD_PUMP7", "192.168.21.15:4007", 0, 0, 0)


cd /opt/EPICS/RUN/vac_ioc/startup
dbLoadTemplate "db/vac_ioc.substitutions"

iocInit

#autosave after iocInit
makeAutosaveFileFromDbInfo("$(REQ_DIR)/$vac_ioc-automake-pass0.req","autosaveFields_pass0")
makeAutosaveFileFromDbInfo("$(REQ_DIR)/$vac_ioc-automake.req","autosaveFields")
create_monitor_set("$vac_ioc-automake-pass0.req",10)
create_monitor_set("$vac_ioc-automake.req",10)

#caPutLog after iocInit
caPutLogInit "127.0.0.1:7004" 0

#report info
system "touch /opt/EPICS/RUN/iocLog/vac_ioc.info"
system "echo \#date > /opt/EPICS/RUN/iocLog/vac_ioc.info"
date >> /opt/EPICS/RUN/iocLog/vac_ioc.info
system "echo >> /opt/EPICS/RUN/iocLog/vac_ioc.info"
system "echo \#ip >> /opt/EPICS/RUN/iocLog/vac_ioc.info"
system "hostname -I >> /opt/EPICS/RUN/iocLog/vac_ioc.info"
system "echo >> /opt/EPICS/RUN/iocLog/vac_ioc.info"
system "echo \#pv list >> /opt/EPICS/RUN/iocLog/vac_ioc.info"
dbl >> /opt/EPICS/RUN/iocLog/vac_ioc.info
system "echo >> /opt/EPICS/RUN/iocLog/vac_ioc.info"

